Index: issm/trunk-jpl/src/c/analyses/StressbalanceSIAAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/StressbalanceSIAAnalysis.cpp	(revision 25317)
+++ issm/trunk-jpl/src/c/analyses/StressbalanceSIAAnalysis.cpp	(revision 25379)
@@ -107,5 +107,5 @@
 	return 2;
 }/*}}}*/
-void StressbalanceSIAAnalysis::UpdateElements(Elements* elements,Inputs2* inputs2,IoModel* iomodel,int analysis_counter,int analysis_type){/*{{{*/
+void StressbalanceSIAAnalysis::UpdateElements(Elements* elements,Inputs* inputs,IoModel* iomodel,int analysis_counter,int analysis_type){/*{{{*/
 
 	/*Fetch data needed: */
@@ -127,8 +127,8 @@
 		if(iomodel->my_elements[i]){
 			Element* element=(Element*)elements->GetObjectByOffset(counter);
-			element->Update(inputs2,i,iomodel,analysis_counter,analysis_type,P1Enum);
+			element->Update(inputs,i,iomodel,analysis_counter,analysis_type,P1Enum);
 			/*Need to know the type of approximation for this element*/
 			if(iomodel->Data("md.flowequation.element_equation")){
-				inputs2->SetInput(ApproximationEnum,counter,IoCodeToEnumElementEquation(reCast<int>(iomodel->Data("md.flowequation.element_equation")[i])));
+				inputs->SetInput(ApproximationEnum,counter,IoCodeToEnumElementEquation(reCast<int>(iomodel->Data("md.flowequation.element_equation")[i])));
 			}
 			counter++;
@@ -142,17 +142,17 @@
 	switch(frictionlaw){
 		case 1:
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.coefficient",FrictionCoefficientEnum);
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.p",FrictionPEnum);
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.q",FrictionQEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.coefficient",FrictionCoefficientEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.p",FrictionPEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.q",FrictionQEnum);
 			break;
 		case 2:
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.C",FrictionCEnum);
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.m",FrictionMEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.C",FrictionCEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.m",FrictionMEnum);
 			break;
 		case 6:
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.C",FrictionCEnum);
-			iomodel->FetchDataToInput(inputs2,elements,"md.friction.m",FrictionMEnum);
-			iomodel->FetchDataToInput(inputs2,elements,"md.initialization.pressure",PressureEnum);
-			iomodel->FetchDataToInput(inputs2,elements,"md.initialization.temperature",TemperatureEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.C",FrictionCEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.friction.m",FrictionMEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.initialization.pressure",PressureEnum);
+			iomodel->FetchDataToInput(inputs,elements,"md.initialization.temperature",TemperatureEnum);
 			break;
 		default:
@@ -160,9 +160,9 @@
 	}
 
-	iomodel->FetchDataToInput(inputs2,elements,"md.geometry.thickness",ThicknessEnum);
-	iomodel->FetchDataToInput(inputs2,elements,"md.mask.ocean_levelset",MaskOceanLevelsetEnum);
+	iomodel->FetchDataToInput(inputs,elements,"md.geometry.thickness",ThicknessEnum);
+	iomodel->FetchDataToInput(inputs,elements,"md.mask.ocean_levelset",MaskOceanLevelsetEnum);
 	if(ismovingfront){
 		if(iomodel->domaintype!=Domain2DhorizontalEnum)
-			iomodel->FetchDataToInput(inputs2,elements,"md.mesh.vertexonbase",MeshVertexonbaseEnum); // required for updating active nodes
+			iomodel->FetchDataToInput(inputs,elements,"md.mesh.vertexonbase",MeshVertexonbaseEnum); // required for updating active nodes
 	}
 
@@ -326,13 +326,13 @@
 	IssmDouble  gravity    = element->FindParam(ConstantsGEnum);
 	IssmDouble  B,n;
-	Input2* B_input         = element->GetInput2(MaterialsRheologyBbarEnum);_assert_(B_input);
-	Input2* n_input         = element->GetInput2(MaterialsRheologyNEnum);   _assert_(n_input);
-	Input2* slopex_input    = element->GetInput2(SurfaceSlopeXEnum);        _assert_(slopex_input);
-	Input2* slopey_input    = element->GetInput2(SurfaceSlopeYEnum);        _assert_(slopey_input);
-	Input2* thickness_input = element->GetInput2(ThicknessEnum);            _assert_(thickness_input);
-	Input2* surface_input   = element->GetInput2(SurfaceEnum);              _assert_(surface_input);
-	Input2* drag_input      = NULL;
+	Input* B_input         = element->GetInput(MaterialsRheologyBbarEnum);_assert_(B_input);
+	Input* n_input         = element->GetInput(MaterialsRheologyNEnum);   _assert_(n_input);
+	Input* slopex_input    = element->GetInput(SurfaceSlopeXEnum);        _assert_(slopex_input);
+	Input* slopey_input    = element->GetInput(SurfaceSlopeYEnum);        _assert_(slopey_input);
+	Input* thickness_input = element->GetInput(ThicknessEnum);            _assert_(thickness_input);
+	Input* surface_input   = element->GetInput(SurfaceEnum);              _assert_(surface_input);
+	Input* drag_input      = NULL;
 	if(frictionlaw!=5 && frictionlaw!=1){
-		drag_input = element->GetInput2(FrictionCoefficientEnum);  _assert_(drag_input);
+		drag_input = element->GetInput(FrictionCoefficientEnum);  _assert_(drag_input);
 	}
 
@@ -416,14 +416,14 @@
 	IssmDouble  gravity    = element->FindParam(ConstantsGEnum);
 	IssmDouble B,n;
-	Input2* B_input         = element->GetInput2(MaterialsRheologyBEnum);   _assert_(B_input);
-	Input2* n_input         = element->GetInput2(MaterialsRheologyNEnum);   _assert_(n_input);
-	Input2* surface_input   = element->GetInput2(SurfaceEnum);              _assert_(surface_input);
-	Input2* slopex_input    = element->GetInput2(SurfaceSlopeXEnum);        _assert_(slopex_input);
-	Input2* slopey_input    = element->GetInput2(SurfaceSlopeYEnum);        _assert_(slopey_input);
-	Input2* thickness_input = element->GetInput2(ThicknessEnum);            _assert_(thickness_input);
-	Input2* drag_input      = NULL;
+	Input* B_input         = element->GetInput(MaterialsRheologyBEnum);   _assert_(B_input);
+	Input* n_input         = element->GetInput(MaterialsRheologyNEnum);   _assert_(n_input);
+	Input* surface_input   = element->GetInput(SurfaceEnum);              _assert_(surface_input);
+	Input* slopex_input    = element->GetInput(SurfaceSlopeXEnum);        _assert_(slopex_input);
+	Input* slopey_input    = element->GetInput(SurfaceSlopeYEnum);        _assert_(slopey_input);
+	Input* thickness_input = element->GetInput(ThicknessEnum);            _assert_(thickness_input);
+	Input* drag_input      = NULL;
 	Friction* friction     = NULL;
 	if(frictionlaw!=5 && frictionlaw!=1){
-		drag_input = element->GetInput2(FrictionCoefficientEnum);  _assert_(drag_input);
+		drag_input = element->GetInput(FrictionCoefficientEnum);  _assert_(drag_input);
 	}
 	else if(frictionlaw==5){
@@ -535,6 +535,6 @@
 	/*Get dof list and inputs */
 	element->GetDofList(&doflist,NoneApproximationEnum,GsetEnum);
-	Input2* vx_input=element->GetInput2(VxEnum); _assert_(vx_input);
-	Input2* vy_input=element->GetInput2(VyEnum); _assert_(vy_input);
+	Input* vx_input=element->GetInput(VxEnum); _assert_(vx_input);
+	Input* vy_input=element->GetInput(VyEnum); _assert_(vy_input);
 
 	/*Ok, we have the velocities in inputs, fill in solution */
@@ -622,8 +622,8 @@
 
 	/*Add vx and vy as inputs to the tria element: */
-	element->AddInput2(VxEnum,vx,P1Enum);
-	element->AddInput2(VyEnum,vy,P1Enum);
-	element->AddInput2(VelEnum,vel,P1Enum);
-	element->AddInput2(PressureEnum,pressure,P1Enum);
+	element->AddInput(VxEnum,vx,P1Enum);
+	element->AddInput(VyEnum,vy,P1Enum);
+	element->AddInput(VelEnum,vel,P1Enum);
+	element->AddInput(PressureEnum,pressure,P1Enum);
 
 	/*Free ressources:*/
